package de.tu_dresden.diplom.richter_mirko_mat2628335.clients.evidence;

import org.apache.log4j.Logger;

/**
 * Factory to obtain the ClientEvdienceManager-instance from (currently implemented
 * as singleton)
 */
public class ClientEvidenceManagerFactory {

   private static final Logger logger = Logger.getLogger(ClientEvidenceManagerFactory.class);

   private static IFClientEvidenceManager clientEvidenceManager = null;

   /**
    * Gets the ClientEvidencManager-instance
    * @return
    */
   public static IFClientEvidenceManager getClientEvidenceManager(){
      if(clientEvidenceManager == null){
         clientEvidenceManager = new ClientEvidenceManager();
      }
      return clientEvidenceManager;
   }

}
